package com.jz;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.actuate.health.Health;
import org.springframework.boot.actuate.health.HealthIndicator;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;

@SpringBootApplication
@EnableCaching
public class DmpApplication implements HealthIndicator {

	private static Logger logger = LoggerFactory.getLogger(DmpApplication.class);

	public static void main(String[] args) {
		long start = System.currentTimeMillis();
		SpringApplication springApplication = new SpringApplication(DmpApplication.class);
		springApplication.run(args);

		long cost = System.currentTimeMillis() - start;
		logger.info(" started status: {}, cost: {}", "SUCCESS!", cost);
	}

	@Override
	public Health health() {
		return Health.up().withDetail("label center 系统", "启动成功!").build();
	}
}
